Subject: bug#59673: 29.0.50; emacs 29 segfault on aarch64-linux in parallels on apple m1

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Nov 2022 15:15:32 +0200

> From: Cody Goodman <[email-masked]>
> Date: Mon, 28 Nov 2022 15:57:30 +0000
> 
> I think the error that happens first is most relevant and likely related to the others:
> 
> ```
>   ELC+ELN  ../lisp/emacs-lisp/macroexp.elc
> 
> Error: wrong-type-argument ("../lisp/emacs-lisp/lisp-mode.el" listp ((call set-match-data #s(comp-mvar nil nil ((0 . 0)) nil 6189160 1) #s(comp-mvar nil (t) nil nil 6189530 2))))
> 
> Loading macroexp.elc...
> Eager macro-expansion failure: (void-variable unshared)
> make[3]: *** [Makefile:282: ../lisp/emacs-lisp/lisp-mode.elc] Error 255
> make[2]: *** [Makefile:841: ../lisp/emacs-lisp/lisp-mode.elc] Error 2
> make[2]: *** Waiting for unfinished jobs....
> ```
> 
> I believe the revision is a85ff22300736212e38f43cc7d56e8e3d4ae1203 per https://github.com/nix-community/emacs-overlay/commit/ec3600b1959137ecf56774206b15c5930cfa07e4.
> 
> Here is the full build log on my NixOS machine:
> 
> ```
> @nix { "action": "setPhase", "phase": "unpackPhase" }
> unpacking sources
> unpacking source archive /nix/store/ky8bymg9j8xk4fqg2z8h4xfc4drz752k-source
> source root is source

Sorry, I don't know what this means, and whether and how this is different
from the upstream sources in the Emacs Git repository.

Would it be possible for you to build the emacs-29 branch of the Emacs Git
instead, using the instructions in the INSTALL.REPO file?

Alternatively, how about taking this up with the nix maintainers first?

Also, did you ever build the Emacs 29 codebase in the past (from our Git
master branch)?  If so, did it work for you on that system?